List an application's pipeline caches
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches \
--header 'Authorization: Bearer <token>'{
"caches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"key": "<string>",
"mount_path": "<string>",
"trust": "default_branch",
"size": "<string>",
"storage_class": "<string>",
"claim_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"state": "active"
}
],
"retention_days": 183,
"next_cursor": "<string>"
}Pipelines
List an application's pipeline caches
The same listing addressed by application: the keyed cache volumes of the pipeline repository the application is connected to, most recently used first by keyset. Requires pipelines.read. Read-only.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
pipeline-caches
List an application's pipeline caches
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-caches \
--header 'Authorization: Bearer <token>'{
"caches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"key": "<string>",
"mount_path": "<string>",
"trust": "default_branch",
"size": "<string>",
"storage_class": "<string>",
"claim_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"state": "active"
}
],
"retention_days": 183,
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The next_cursor of the previous page.
Required range:
1 <= x <= 100Response
One page of caches.
Show child attributes
Show child attributes
The organisation's cache retention in days (ci_cache_retention_days), the number every expires_at on the page was derived from.
Required range:
1 <= x <= 365Pass as cursor to read the next page; null on the last page.